import React, {useState, useEffect, useRef} from 'react'

import { connect } from 'react-redux'

import { actionFullMsgsByChat } from '../actions'

const msgsWrapper = {
   display: "flex",
   flexDirection: "column-reverse",
   justifyContent: "flex-start",
   alignItems: "stretch",
}


const Msg = ({msg}) => {

   const {_id, text} = msg

   return (
      <>
         <p>
            {text}
         </p> 
      </>
   )
}


const MsgList = ({chats, chatId}) => {

   const msgArr =  chats[chatId]?.messages

   return (
      <div style={msgsWrapper}>
         { msgArr ?
            msgArr.map(msg => <Msg key={msg._id} msg={msg}/>) :
               <div>сообщений нема</div>         
         }  

      </div>
   )
}
export const CMsgList = connect(state => ({chats: state.chats}))(MsgList)
